curl --request POST \
--url https://app.tagadapay.com/api/public/v1/customers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20,
"sortBy": {
"field": "createdAt",
"direction": "desc"
}
}
'{
"items": [
{
"id": "cus_123",
"storeId": "store_123",
"storeName": "My Store",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe",
"createdAt": "2024-03-20T10:30:00Z",
"lastOrderId": "ord_123",
"paymentInstrumentCardLast4": "1234",
"tags": [
"segment:vip",
"source:facebook"
]
}
],
"total": 150,
"page": 1,
"pageSize": 20,
"totalPages": 8
}List customers with filtering, sorting and pagination
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/customers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20,
"sortBy": {
"field": "createdAt",
"direction": "desc"
}
}
'{
"items": [
{
"id": "cus_123",
"storeId": "store_123",
"storeName": "My Store",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe",
"createdAt": "2024-03-20T10:30:00Z",
"lastOrderId": "ord_123",
"paymentInstrumentCardLast4": "1234",
"tags": [
"segment:vip",
"source:facebook"
]
}
],
"total": 150,
"page": 1,
"pageSize": 20,
"totalPages": 8
}Enter your API key as: Bearer your-api-key
Successful response